Loading...
Searching...
No Matches
pappso::ExceptionNotFound Class Reference

`#include <exceptionnotfound.h>`

Inheritance diagram for pappso::ExceptionNotFound:

## Public Member Functions

| ExceptionNotFound (const QString &message) throw ()
virtual QException * | clone () const override
Public Member Functions inherited from pappso::PappsoException
| PappsoException (const QString &message) throw ()
| PappsoException (const PappsoException &other) throw ()
void | raise () const override
virtual const QString & | qwhat () const throw ()
const char * | what () const noexcept override
virtual | ~PappsoException () throw ()

## Detailed Description

Definition at line 31 of file exceptionnotfound.h.

## Constructor & Destructor Documentation

## ExceptionNotFound()

pappso::ExceptionNotFound::ExceptionNotFound | ( | const QString & | message | ) |
throw | ( | ) |  |  |

inline

Definition at line 34 of file exceptionnotfound.h.

: PappsoException(message)
{
}
pappso::PappsoException::PappsoException
PappsoException(const QString &message)
Definition pappsoexception.h:43

Referenced by clone().

## Member Function Documentation

## clone()

virtual QException * pappso::ExceptionNotFound::clone | ( |  | ) | const

inline override virtual

Reimplemented from pappso::PappsoException.

Definition at line 39 of file exceptionnotfound.h.

{
return new ExceptionNotFound(*this);
}
pappso::ExceptionNotFound::ExceptionNotFound
ExceptionNotFound(const QString &message)
Definition exceptionnotfound.h:34

References ExceptionNotFound().

The documentation for this class was generated from the following file:

- pappsomspp/core/exception/exceptionnotfound.h